Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.io
Interface CardInterface

All Known Subinterfaces:
  JavaCardInterface

All Known Implementing Classes:
  JavaCardRemoteClient, JavaxSmartCardInterface, Simulator

    public interface CardInterface

Basic SmartCard Interface

Method Summary
`byte[]` | `getATR()` Returns ATR
`void` | `reset()` Powerdown/Powerup
`byte[]` | `transmitCommand(byte[] data)` Transmit APDU to previous selected applet

Method Detail

### reset

    void reset()

  Powerdown/Powerup

### getATR

    byte[] getATR()

  Returns ATR

### transmitCommand

    byte[] transmitCommand(byte[] data)

  Transmit APDU to previous selected applet

  Parameters:
    `commandAPDU` - command apdu
  Returns:
    response apdu
  Throws:
    `SystemException.ILLEGAL_USE` - if appplet not selected before
  See Also:
    `CommandAPDU`, `ResponseAPDU`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD